#pragma once
#include "sol/state.hpp"
#include <string>

#define GRBC_EXT_pkg_config_NAME "GRBC_EXT_pkg_config"
#define GRBC_EXT_profiles_NAME "GRBC_EXT_profiles"

typedef void (*EXT_HookInit)(sol::state &lua);

struct Extension {
    std::string name;
    bool loaded = false;

    EXT_HookInit hook_init = nullptr;
};